Subject: bug#31095: [aegisub] error: Aegisub requires that boost be built with ICU support.

From: Björn Höfling <[email-masked]>
Date: Sun, 25 Nov 2018 18:58:49 +0100

On Fri, 2 Nov 2018 01:19:42 -0400
Leo Famulari <[email-masked]> wrote:

> On Tue, Apr 10, 2018 at 02:32:05AM -0400, Mark H Weaver wrote:
> > On core-updates I pushed commit
> > 713c975ac0aa01c224b215fcb96274b76920c90b which hopefully will fix
> > this problem with the aegisub build.  We'll see when Hydra builds
> > it out.  
> 
> It seems to have worked, thanks!

Hi Leo,

I don't understand that: When looking at the core-updates page of
aegisub, I see no success:

https://hydra.gnu.org/job/gnu/core-updates/aegisub-3.2.2.x86_64-linux/all

When building locally, I see this failure:

/tmp/guix-build-aegisub-3.2.2.drv-0/aegisub-3.2.2/src/search_replace_engine.cpp:
 In member function ?bool SearchReplaceEngine::ReplaceAll()?:
/tmp/guix-build-aegisub-3.2.2.drv-0/aegisub-3.2.2/src/search_replace_engine.cpp:317:61: error: call of overloaded ?distance(boost::u32regex_iterator<__gnu_cxx::__normal_iterator<const char*, std::__cxx11::basic_string<char> > >, boost::u32regex_iterator<__gnu_cxx::__normal_iterator<const char*, std::__cxx11::basic_string<char> > >)? is ambiguous
      boost::u32regex_iterator<std::string::const_iterator>());

I found a patch here:
 
https://git.archlinux.org/svntogit/community.git/plain/trunk/boost-1.68.patch?h=packages/aegisub

When I apply it, aegisub works on core-updates.

I will send out a proper guix-patch later.

Björn